Subject: Re: bash and '&'
From: [email-masked] (Michael Hirmke)

3 Apr 1998 03:46:01 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi raf,

>Wei Ku wrote:
>
>>>I want to leave a simple program running after quiting the shell, and
>>>even logging off. It's done under unix by adding '&'. I failed to do
>>>this using cygwin32. Is it supposed to behave the same way under
>>>cygwin32? What should I do?
>
>>As far as I can tell, the only shell that will do what you describe is bash.
>>Did you run bash or sh when you log in ?
>
>i thought this was done with 'nohup'.
>'&' only puts the process in the backgroup.
>it doesn't make it ignore the HUP and QUIT signals,
>or does it?

This depends on the shell, you are running this command with.
bash does not need "nohup" - at least bash on Linux systems.
Bourne shell normally needs "nohup".

>
>
>raf

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".